Skip to main content
POST
/
v1
/
clusters
/
enrich
Apply Cluster Enrichment
curl --request POST \
  --url https://api.mixpeek.com/v1/clusters/enrich \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "clustering_ids": [
    "<string>"
  ],
  "source_collection_id": "<string>",
  "target_collection_id": "<string>",
  "batch_size": 1000,
  "parallelism": 1
}
'
{
  "processed": 123,
  "enriched": 123,
  "failed": 123,
  "batches": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request to apply clustering enrichment to a collection.

Supports applying multiple clustering results in one request via clustering_ids. For backward compatibility, a single clustering_id is also accepted and up-converted.

clustering_ids
string[]
required

Clustering result IDs to apply

source_collection_id
string
required

Collection to enrich

target_collection_id
string | null

Target collection to write enriched docs to

batch_size
integer
default:1000

Batch size for processing

Required range: x >= 1
parallelism
integer
default:1

Parallel workers

Required range: x >= 1

Response

Successful Response

Response after applying clustering enrichment.

processed
integer
required

Number of processed points

enriched
integer
required

Number of enriched points

failed
integer
required

Number of failed points

batches
integer
required

Batches processed